Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234353 - web Xml-Rpc new method: SystemHandler.listSystemEvents
Summary: web Xml-Rpc new method: SystemHandler.listSystemEvents
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API
Version: 500
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: John Matthews
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 17:41 UTC by Mike McCune
Modified: 2009-09-10 19:51 UTC (History)
1 user (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 19:51:58 UTC


Attachments (Terms of Use)

Description Mike McCune 2007-03-28 17:41:00 UTC
List all the Actions against a given server.

Comment 1 John Matthews 2009-04-20 19:39:51 UTC
Verified
ISO: Satellite-5.3.0-RHEL5-re20090413.0-i386-embedded-oracle.iso

Example run below
client.system.listSystemEvents(session_key, int(1000010040))

{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:41:55.0', 'modified': '2009-04-20 12:41:55.0', 'earliest_action': '2009-04-23 12:37:54.0', 'version': '2', 'action_type': 'Package Install', 'id': 50, 'scheduler_user': 'admin', 'successful_count': 0}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:41:56.0', 'modified': '2009-04-20 12:41:56.0', 'earliest_action': '2009-04-23 12:37:54.0', 'version': '2', 'action_type': 'Package Install', 'id': 51, 'scheduler_user': 'admin', 'successful_count': 0}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:41:56.0', 'modified': '2009-04-20 12:41:56.0', 'earliest_action': '2009-04-23 12:37:54.0', 'version': '2', 'action_type': 'Package Install', 'id': 52, 'scheduler_user': 'admin', 'successful_count': 0}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:42:21.0', 'modified': '2009-04-20 12:42:21.0', 'earliest_action': '2009-04-23 12:38:19.0', 'version': '2', 'action_type': 'Package Install', 'id': 53, 'scheduler_user': 'admin', 'successful_count': 0}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:42:21.0', 'modified': '2009-04-20 12:42:21.0', 'earliest_action': '2009-04-23 12:38:20.0', 'version': '2', 'action_type': 'Package Install', 'id': 55, 'scheduler_user': 'admin', 'successful_count': 0}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:43:06.0', 'pickup_time': '2009-04-20 12:43:14.0', 'modified': '2009-04-20 12:43:06.0', 'earliest_action': '2009-04-20 12:39:04.0', 'completion_time': '2009-04-20 12:43:26.0', 'version': '2', 'action_type': 'Package Install', 'id': 56, 'result_msg': 'Update Succeeded', 'scheduler_user': 'admin', 'successful_count': 1}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:43:06.0', 'pickup_time': '2009-04-20 12:43:26.0', 'modified': '2009-04-20 12:43:06.0', 'earliest_action': '2009-04-20 12:39:05.0', 'completion_time': '2009-04-20 12:43:54.0', 'version': '2', 'action_type': 'Package Install', 'id': 57, 'result_msg': 'Update Succeeded', 'scheduler_user': 'admin', 'successful_count': 1}
{'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:43:06.0', 'pickup_time': '2009-04-20 12:43:55.0', 'modified': '2009-04-20 12:43:06.0', 'earliest_action': '2009-04-20 12:39:05.0', 'completion_time': '2009-04-20 12:44:02.0', 'version': '2', 'action_type': 'Package Install', 'id': 58, 'result_msg': 'Update Succeeded', 'scheduler_user': 'admin', 'successful_count': 1}
{'archived': 0, 'failed_count': 0, 'name': 'Package Removal', 'created': '2009-04-20 13:27:49.0', 'pickup_time': '2009-04-20 13:28:25.0', 'modified': '2009-04-20 13:27:49.0', 'earliest_action': '2009-04-20 13:23:48.0', 'completion_time': '2009-04-20 13:28:30.0', 'version': '2', 'action_type': 'Package Removal', 'id': 59, 'result_msg': 'Update Succeeded', 'scheduler_user': 'admin', 'successful_count': 1}

some doc bugs were found, noted in bug 496710

Comment 2 Steve Salevan 2009-08-13 16:12:53 UTC
RELEASE_PENDING from latest Stage build.

Comment 3 Brandon Perkins 2009-09-10 19:51:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.